local questDoneFrame = CreateFrame("Frame", "QuestDoneFrame", UIParent, BackdropTemplateMixin and "BackdropTemplate")
questDoneFrame:SetSize(250, 70)
questDoneFrame:SetPoint("TOP", 0, -200)
questDoneFrame:SetBackdrop({
    edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
    edgeSize = 16,
})
questDoneFrame:Hide()

questDoneFrame.texture = questDoneFrame:CreateTexture()
questDoneFrame.texture:SetPoint("TOPLEFT", 5, -5)
questDoneFrame.texture:SetPoint("BOTTOMRIGHT", -5, 5)
questDoneFrame.texture:SetColorTexture(0, 0, 0, 0.6)

questDoneFrame.text = questDoneFrame:CreateFontString(nil, "OVERLAY", "GameFontNormalLarge")
questDoneFrame.text:SetPoint("TOP", 0, -15)

questDoneFrame.button = CreateFrame("Button", nil, questDoneFrame, "UIPanelButtonTemplate")
questDoneFrame.button:SetSize(80, 22)
questDoneFrame.button:SetPoint("BOTTOM", 0, 8)
questDoneFrame.button:SetText("Okay")
questDoneFrame.button:SetScript("OnClick", function()
    questDoneFrame:Hide()
end)
